
Auto Multiple Choice - Bug # 47: The dialog Save as template does not work properly anymore

Status: Closed Priority: Normal
Author: Pieter  Van den Hombergh Category:
Created: 04/05/2012 Assignee:
Updated: 04/15/2012 Due date:
Description: In the version from the ppa as well as in the svn trunk version, the Dialog *Save as a template*

is not really usable.
The text box for description is 0 pixels high, as well as the list of Included files.
So you would be working blind or cannot see what is inside these boxes.

Screenshot attached.

History
04/05/2012 11:10 pm - Pieter  Van den Hombergh
The issue is in the GUI.
If you simply accept the defaults, it seems AMC added sensible files to the produced tar file.
(the main latex file and the options.xml).

You cannot however, add more files.

Priority should be set low, as there are usable work around. like creating the archive by hand.

04/06/2012 08:12 am - Alexis Bienvenüe
- Target version set to 1.1.0

04/06/2012 10:11 am - Alexis Bienvenüe
- Status changed from New to Feedback

I'm not sure this solves the problem (the problem does not show on my configuration), but I tried to fix this in revision r993: can you try it?

04/06/2012 03:53 pm - Pieter  Van den Hombergh
I have svn updated and built deb again.

Issue is resolved in so far that when you resize (as in make bigger) the dialog, a readable list and an editable description field appear where they did 
not 
in a previous version. This is usable.

Better still would to make the default size of the dialog somewhat  taller (higher).

04/07/2012 02:39 pm - Alexis Bienvenüe
Next try is in revision r996 (I added a height request as you suggested). I hope this works...

04/07/2012 09:54 pm - Pieter  Van den Hombergh
Works.
Now the boxes are visible and usable immediately.
The default height now makes the list just big enough for two items, which is probably what one wants as a minimum.
Is there a way to increase the windows height, each time a included file is added? Then it would be perfetc.
04/07/2012 10:02 pm - Alexis Bienvenüe
- Status changed from Feedback to Resolved

> Is there a way to increase the windows height, each time a included file is added?
This could be ok at the beginning, but when the window reaches the bottom of the screen, this could make the things more complicated.
So I'm afraid I will let the user resize the window...

04/08/2012 02:08 pm - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> > Is there a way to increase the windows height, each time a included file is added?
> This could be ok at the beginning, but when the window reaches the bottom of the screen, this could make the things more complicated.
> So I'm afraid I will let the user resize the window...
Agree on last remark.

04/15/2012 05:42 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed
